Summary: MPEG audio player
Name: mpg123
Version: 1.4.2
Release: 2%{?dist}
License: GPLv2+ and LGPLv2
Group: Applications/Multimedia
URL: http://mpg123.org/
Source: http://downloads.sf.net/mpg123/mpg123-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: pkgconfig
BuildRequires: libtool-ltdl-devel
BuildRequires: SDL-devel
BuildRequires: portaudio-devel
# We actually only need one, but it doesn't hurt to have them all
%{!?_without_jack:BuildRequires: jack-audio-connection-kit-devel}
%{!?_without_esound:BuildRequires: esound-devel}
%{!?_without_nas:BuildRequires: nas-devel}
%{!?_without_alsa:BuildRequires: alsa-lib-devel}
%{!?_without_pulse:BuildRequires: pulseaudio-libs-devel}
Obsoletes: mpg321 <= 0.2.10-9

%description
Real time command line MPEG audio player for Layer 1, 2 and Layer3.

Available rpmbuild rebuild option :
--define 'audio {alsa,esd,jack,nas,oss,portaudio,sdl}'


%package devel
Summary: Development files for mpg123
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
This package contains the development files for mpg123.


%prep
%setup -q


%build
%configure --enable-gapless="yes"
# Get rid of /usr/lib64 rpath on 64bit
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
#{__rm} -f %{buildroot}%{_libdir}/{,mpg123/}*.la
%{__rm} -f %{buildroot}%{_libdir}/*.la


%clean
%{__rm} -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/mpg123
%{_libdir}/mpg123/
%{_libdir}/libmpg123.so.*
%{_mandir}/man1/mpg123.1*

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_includedir}/mpg123.h
%{_libdir}/libmpg123.so
%{_libdir}/pkgconfig/libmpg123.pc


%changelog
* Thu May 29 2008 Matthias Saou <http://freshrpms.net/> 1.4.2-2
- Don't remove plugins *.la files, as they're required to run.

* Mon May 12 2008 Matthias Saou <http://freshrpms.net/> 1.4.2-1
- Update to 1.4.2.
- Obolete mpg321 up to last known version, as it's pretty much dead.
- Add libtool-ltdl-devel build req, without a copy is installed.
- Add scriplets for new library.

* Mon Jun 04 2007 Dag Wieers <dag@wieers.com> - 0.66-1
- Updated to release 0.66.

* Wed Feb 07 2007 Dag Wieers <dag@wieers.com> - 0.65-1
- Updated to release 0.65.

* Tue Jan 16 2007 Dag Wieers <dag@wieers.com> - 0.64-1
- Updated to release 0.64.

* Mon Jan 15 2007 Dag Wieers <dag@wieers.com> - 0.63-1
- Updated to release 0.63.

* Sun Oct 22 2006 Dag Wieers <dag@wieers.com> - 0.61-1
- Updated to release 0.61.

* Mon Sep  4 2006 Matthias Saou <http://freshrpms.net/> 0.60-1
- Update to 0.60 final.
- Add support for all available compatible outputs, unfortunately it's a build
  time choice, so default to alsa.
- Obsolete mpg321 up to the last know package version.

* Tue Jul 25 2006 Matthias Saou <http://freshrpms.net/> 0.60-0.1.beta2
- Initial RPM release, now that mpg123 is maintained again and went GPL/LGPL.
- Audio output type is not (yet?) plugin-based, so use libao (for ALSA).
